## List recipient W-9 forms

### cURL

```
curl --request GET \
  --url https://payouts.api.trykarat.com/recipients/tax/{recipient_id} \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://payouts.api.trykarat.com/recipients/tax/{recipient_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payouts.api.trykarat.com/recipients/tax/{recipient_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://payouts.api.trykarat.com/recipients/tax/{recipient_id}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://payouts.api.trykarat.com/recipients/tax/{recipient_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```
HttpResponse<String> response = Unirest.get("https://payouts.api.trykarat.com/recipients/tax/{recipient_id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://payouts.api.trykarat.com/recipients/tax/{recipient_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response
#### Status Codes

- **200**
- **400**
- **401**

#### Response Structure

```
{
  "data": [\
    {\
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",\
      "createdAt": "2023-11-07T05:31:56Z",\
      "organizationPayee": {\
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",\
        "firstName": "<string>",\
        "lastName": "<string>"\
      }\
    }\
  ],
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}
```

```
{
  "error": {
    "message": "amount: amount must be positive"
  }
}
```

```
{
  "error": {
    "message": "Invalid api key"
  }
}
```

### Authorizations

- **Authorization** : `Authorization: Bearer <API_KEY>` (string, header, required)

### Path Parameters

- **recipient_id** : `string<uuid>` (required) - The ID of the recipient.

### Response
- **200** : application/json - A paginated list of W-9 forms.
